/*
Copyright 1997-1998 by Marc Eaddy, Jonathan Shapiro, Shao Rong;
ALL RIGHTS RESERVED
 
Permission to use, copy, modify, and distribute this software and its
documentation for research and educational purpose and without fee is
hereby granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and warranty disclaimer
appear in supporting documentation, and that the names of the
copyright holders or any of their entities not be used in advertising
or publicity pertaining to distribution of the software without
specific, written prior permission.  Use of this software in whole or
in parts for direct commercial advantage requires explicit prior
permission.
 
The copyright holders disclaim all warranties with regard to this
software, including all implied warranties of merchantability and
fitness.  In no event shall the copyright holders be liable for any
special, indirect or consequential damages or any damages whatsoever
resulting from loss of use, data or profits, whether in an action of
contract, negligence or other tortuous action, arising out of or in
connection with the use or performance of this software.
*/

package webdav.common;

/**
 * A Principal abstracts the concept of an authenticated
 * user.
 *
 * @author		Marc Eaddy
 * @version		1.1, 14 Dec 1997
 */
public class Principal
{
	private String strUserName;

	public Principal(String strUserName)
	{
		if (null != strUserName)
		{
			this.strUserName = new String(strUserName);
		}
		else
		{
			this.strUserName = new String();
		}
	}

	public Principal(Principal that)
	{
		if (that != null)
		{
			this.strUserName = new String(that.strUserName);
		}
		else
		{
			this.strUserName = new String();
		}
	}

	public String getUserName()
	{
		return strUserName;
	}

	public String toString()
	{
		return strUserName;
	}

	public boolean equals(Object that)
	{
        if (this == that) 
        {
            return true;
        }

        if (that == null || this.getClass() != that.getClass()) 
        {
            return false;
        }

		Principal p = (Principal) that;

		return this.strUserName.equals(p.strUserName);
	}
};
