/*
Copyright 1997-1998 by Marc Eaddy, Jonathan Shapiro, Shao Rong;
ALL RIGHTS RESERVED
 
Permission to use, copy, modify, and distribute this software and its
documentation for research and educational purpose and without fee is
hereby granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and warranty disclaimer
appear in supporting documentation, and that the names of the
copyright holders or any of their entities not be used in advertising
or publicity pertaining to distribution of the software without
specific, written prior permission.  Use of this software in whole or
in parts for direct commercial advantage requires explicit prior
permission.
 
The copyright holders disclaim all warranties with regard to this
software, including all implied warranties of merchantability and
fitness.  In no event shall the copyright holders be liable for any
special, indirect or consequential damages or any damages whatsoever
resulting from loss of use, data or profits, whether in an action of
contract, negligence or other tortuous action, arising out of or in
connection with the use or performance of this software.
*/


// Questions:
//		Should a SubsystemInterface 'know' about its own scope? or
//		is that really the job of the SubsystemRegistry?  If the
//		registry is the only place where the scope is associated
//		with the subsystem, then it could assign the uri to the
//		subsystem with the right scope.  For now, I will remove
//		the scope from the interface and force the registry to
//		manage this information

package webdav.common;

/**
 * All subsystems must implement this interface.
 * It may turn out not be necessary to require all subsystems to implement
 * this interface since we could simply use Object as a common parent.
 * Doing it this way looks a little more obvious though.
 *
 * We want to make sure that all subsystems provide an interface class.
 * This allows us to decouple the interface from the implementation making
 * it easier to support multiple implementations (true?).
 *
 * @author		Marc Eaddy
 * @version		1.0, 3 Nov 1997
 */
public interface SubsystemInterface
{
};
