/*
Copyright 1997-1998 by Marc Eaddy, Jonathan Shapiro, Shao Rong;
ALL RIGHTS RESERVED
 
Permission to use, copy, modify, and distribute this software and its
documentation for research and educational purpose and without fee is
hereby granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and warranty disclaimer
appear in supporting documentation, and that the names of the
copyright holders or any of their entities not be used in advertising
or publicity pertaining to distribution of the software without
specific, written prior permission.  Use of this software in whole or
in parts for direct commercial advantage requires explicit prior
permission.
 
The copyright holders disclaim all warranties with regard to this
software, including all implied warranties of merchantability and
fitness.  In no event shall the copyright holders be liable for any
special, indirect or consequential damages or any damages whatsoever
resulting from loss of use, data or profits, whether in an action of
contract, negligence or other tortuous action, arising out of or in
connection with the use or performance of this software.
*/

package webdav.executive;

import webdav.common.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * The Executive registers all the available subsystems with
 * the SubsystemRegistry and provides an interface that
 * allows the WebDavServlet to execute methods using
 * DoMethod().<P>
 *
 * @see			CommandQueue
 * @see         Command
 * @see         SubsystemRegistry
 * @see         WebDavServlet
 * @author		Marc Eaddy
 * @version		2.0, 16 Nov 1997
 */
public class Executive
{
	private MethodFactory factoryMethod = new MethodFactory();

	public Executive()
	{
		super();
	}

	synchronized public void doMethod(	HttpServletRequest req, 
										HttpServletResponse res)
	{
		Method method = factoryMethod.create(req, res);

		int retCode = method.Do();
	}

};