/*
Copyright 1997-1998 by Marc Eaddy, Jonathan Shapiro, Shao Rong;
ALL RIGHTS RESERVED
 
Permission to use, copy, modify, and distribute this software and its
documentation for research and educational purpose and without fee is
hereby granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and warranty disclaimer
appear in supporting documentation, and that the names of the
copyright holders or any of their entities not be used in advertising
or publicity pertaining to distribution of the software without
specific, written prior permission.  Use of this software in whole or
in parts for direct commercial advantage requires explicit prior
permission.
 
The copyright holders disclaim all warranties with regard to this
software, including all implied warranties of merchantability and
fitness.  In no event shall the copyright holders be liable for any
special, indirect or consequential damages or any damages whatsoever
resulting from loss of use, data or profits, whether in an action of
contract, negligence or other tortuous action, arising out of or in
connection with the use or performance of this software.

*/

package webdav.executive;

import webdav.common.*;

import java.io.*;
import java.util.*;

import javax.servlet.*;
import javax.servlet.http.*;


/**
 * WebDavServlet
 *
 * @author		Marc Eaddy
 * @version		1.1, 15 Dec 1997
*/
public
class WebDavServlet extends HttpServlet
{
	/**
	 * This is an HTTP-specific version of the Servlet.service method,
	 * which accepts HTTP specific parameters.  This method is rarely
	 * overridden.  Standard HTTP 1.0 requests are supported by
	 * dispatching to Java methods specialized to implement them.
	 *
	 * @param req	[IN] Encapsulates the request to the servlet
	 * @param resp	[IN] Encapsulates the response from the servlet
	 * @exception	ServletException if the request could not be handled
	 * @exception	IOException if detected when handling the request 
	 */
    protected void service (HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
    {
		try
		{
			Executive executive = new Executive();
			executive.doMethod(req, resp);
		}
		catch (Exception ex)		// Just in case
		{
			System.err.println("WebDAV Servlet caught an Exception!");
			ex.printStackTrace();

		    // Get the status text for the HTTP status code
		    String strStatusText = 
                WebDavResponse.getStatusText(WebDavResponse.SC_INTERNAL_SERVER_ERROR);

            resp.setStatus( WebDavResponse.SC_INTERNAL_SERVER_ERROR, 
                            strStatusText);
		}
    }
}
