/*
Copyright 1997-1998 by Marc Eaddy, Jonathan Shapiro, Shao Rong;
ALL RIGHTS RESERVED
 
Permission to use, copy, modify, and distribute this software and its
documentation for research and educational purpose and without fee is
hereby granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and warranty disclaimer
appear in supporting documentation, and that the names of the
copyright holders or any of their entities not be used in advertising
or publicity pertaining to distribution of the software without
specific, written prior permission.  Use of this software in whole or
in parts for direct commercial advantage requires explicit prior
permission.
 
The copyright holders disclaim all warranties with regard to this
software, including all implied warranties of merchantability and
fitness.  In no event shall the copyright holders be liable for any
special, indirect or consequential damages or any damages whatsoever
resulting from loss of use, data or profits, whether in an action of
contract, negligence or other tortuous action, arising out of or in
connection with the use or performance of this software.
*/

package webdav.lockman;

/** 
 * Define error codes for lockman. 
 * @author Shao Rong
 * @version 1.0
 */
public interface LockManErrorCode {

  public final static boolean debug = true;

  public final static int LockMan_SUCCESS = 1;
  public final static int LockMan_FAILURE = -1001;
  public final static int LockMan_INTERNAL_ERROR = -1002;
  public final static int BAD_FORMAT_REC = -1003;

  public final static int DB_READ_FAIL = -1004;
  public final static int DB_OPEN_FAIL = -1005;
  public final static int DB_WRITE_FAIL = -1006;
  public final static int DB_CLOSE_FAIL = -1007;
  public final static int DB_REC_NOT_FOUND = -1008;
  public final static int UNKNOWN_ACTION = -1009;



// known to executive
  public final static int IsLocked = 1012;
  public final static int NotLocked = 1013;
  public final static int ACCESS_VIOLATION = 1010;
  public final static int ALREADY_LOCK = 1011;
  public final static int LOCK_SUCCESS = 1014;
  public final static int UNLOCK_SUCCESS = 1015;
}
