/*
Copyright 1997-1998 by Marc Eaddy, Jonathan Shapiro, Shao Rong;
ALL RIGHTS RESERVED
 
Permission to use, copy, modify, and distribute this software and its
documentation for research and educational purpose and without fee is
hereby granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and warranty disclaimer
appear in supporting documentation, and that the names of the
copyright holders or any of their entities not be used in advertising
or publicity pertaining to distribution of the software without
specific, written prior permission.  Use of this software in whole or
in parts for direct commercial advantage requires explicit prior
permission.
 
The copyright holders disclaim all warranties with regard to this
software, including all implied warranties of merchantability and
fitness.  In no event shall the copyright holders be liable for any
special, indirect or consequential damages or any damages whatsoever
resulting from loss of use, data or profits, whether in an action of
contract, negligence or other tortuous action, arising out of or in
connection with the use or performance of this software.
*/

package webdav.lockman;

import webdav.common.Uri;

/** 
 * This class manage the lock id distributed,  and currently it is only a hack which<br>
 * generate the id based on the URI which is unique.
 * @author Shao Rong
 * @version 1.0
 */ 
public class LockUID 
{
   public LockUID () {
     super (); 
   }

   /** @param uri : the uri to resource to be locked
       @param lockType : type of lock
       @param lockScope : scope of lock
       @return an unique id
   */ 
   public String getID (Uri uri, String lockType, String lockScope) {
      return lockType+lockScope+":"+uri.toString();
   }
}

